View Issue Details

IDProjectCategoryView StatusLast Update
0002251Ham Radio DeluxeBugpublic2018-04-04 15:22
ReporterPD9FER 
Assigned ToK7ZCZ 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.794 
Summary0002251: HRD Logbook does not remember possition on multi monitor setup
DescriptionUsers text:

I run three screens and always have Rig Control, DM780 and Logbook running on my right hand screen. Now when I run these applications Rig Control and DM780 position themselves on the right hand screen but Logbook positions itself on the main center screen. When I move Logbook over to the right hand screen and close Logbook and again re-open Logbook and it again positions itself on the main center screen, it will not hold position as with the previous versions of HRD.
Steps To ReproduceYou need at least 2 Monitors.

Start Logbook (it will open in your Main screen)
Drag logbook to secondary screen
Close and restart Logbook
It is back to Main screen
Additional Informationhttps://support.ham-radio-deluxe.com/scp/tickets.php?id=11748

Confirmed here on 6 monitor setup.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleAppearance/UI
Testing Beta Successful

Relationships

Activities

PD9FER

2017-09-20 04:30

viewer   ~0004247

Getting multiple tickets on this one

PD9FER

2018-01-11 08:31

viewer   ~0004303

Also not remembering Resized settings on a single monitor system

WA9PIE

2018-02-23 10:28

administrator   ~0004320

Previously thought this was related to XML files being over-written.

We now know that we're using a "multiple monitor API" to define the screen position of these apps...including Logbook.

Investigating...

WA9PIE

2018-02-28 23:39

administrator   ~0004332

I tried the 791 build on my newly built machine and I could not replicate the problem.

I tried the 791 build on my (not newly built) laptop and the problem still exists.

WA9PIE

2018-03-01 07:56

administrator   ~0004337

K7ZCZ has a fix ready for the 792 beta. Waiting for code review and build.

K7ZCZ

2018-03-01 09:18

manager   ~0004338

This is checked in with change list https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3904

vk2byi

2018-03-04 05:08

viewer   ~0004435

Tested successfully with three monitors, using a floating DX Cluster Spots window, and a specific main window location and size.

Issue History

Date Modified Username Field Change
2017-09-19 04:51 PD9FER New Issue
2017-09-20 04:30 PD9FER Note Added: 0004247
2018-01-11 08:31 PD9FER Note Added: 0004303
2018-02-23 09:37 Roger Assigned To => Roger
2018-02-23 09:37 Roger Status new => assigned
2018-02-23 09:37 WA9PIE File Added: Defaults.PNG
2018-02-23 10:27 WA9PIE File Deleted: Defaults.PNG
2018-02-23 10:28 WA9PIE Note Added: 0004320
2018-02-28 23:39 WA9PIE Note Added: 0004332
2018-03-01 07:55 WA9PIE Assigned To Roger => K7ZCZ
2018-03-01 07:56 WA9PIE Note Added: 0004337
2018-03-01 09:18 K7ZCZ Status assigned => resolved
2018-03-01 09:18 K7ZCZ Resolution open => fixed
2018-03-01 09:18 K7ZCZ Testing => Not Started
2018-03-01 09:18 K7ZCZ Note Added: 0004338
2018-03-01 21:14 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2018-03-01 21:15 WA9PIE Fixed in Version => 6.4.0.792
2018-03-01 21:15 WA9PIE Testing Not Started => Beta Successful
2018-03-04 05:08 vk2byi Note Added: 0004435
2018-03-04 10:26 WA9PIE Status resolved => closed
2018-03-04 14:16 WA9PIE Target Version => 6.4.0.792
2018-03-04 14:17 WA9PIE Fixed in Version 6.4.0.792 => 6.4.0.794
2018-03-04 15:16 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-04-04 15:22 WA9PIE Target Version 6.4.0.792 =>